<?php
/* OPTIONS FOR BUTTONS SHORTCODE */
$shortcodesES['buttons'] = array(
	'params' => array(
		'content' => array(
			'std' => 'Button Label',
			'type' => 'text',
			'label' => __('Button\'s Label', 'templatic_shortcode'),
			'desc' => __('Add the button\'s label', 'templatic_shortcode'),
		),
		'type' => array(
			'type' => 'select',
			'label' => __('Button Type', 'templatic_shortcode'),
			'desc' => __('Select the button\'s type', 'templatic_shortcode'),
			'options' => array(
				'basic' => 'Basic',
				'primary' => 'Primary',
				'info' => 'Info',
				'success' => 'Success',
				'danger' => 'Danger',
				'warning' => 'Warning',
				'inverse' => 'Inverse',
			)
		),
		'size' => array(
			'type' => 'select',
			'label' => __('Button Size', 'templatic_shortcode'),
			'desc' => __('Select the button\'s size', 'templatic_shortcode'),
			'options' => array(
				'large' => 'Large',
				'medium' => 'Medium',
				'small' => 'Small',
				'mini' => 'Mini'
			)
		),
		'link' => array(
			'std' => '#',
			'type' => 'text',
			'label' => __('Button URL', 'templatic_shortcode'),
			'desc' => __('Add the button\'s url eg //example.com', 'templatic_shortcode')
		)
	),
	'templ_shortcode' => '[templatic_button link="{{link}}" size="{{size}}" type="{{type}}"] {{content}} [/templatic_button]',
	'popup_title' => __('Insert Button Shortcode', 'templatic_shortcode')
);
/* END OF BUTTONS */

/* OPTIONS FOR COLUMN SHORTCODE */
$shortcodesES['column'] = array(
	'params' => array(
		'title' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Column Title', 'templatic_shortcode'),
			'desc' => __('Mention the title of the column', 'templatic_shortcode')
		),
		'layout' => array(
			'type' => 'select',
			'label' => __('Column Layout', 'templatic_shortcode'),
			'desc' => __('Select the column layout', 'templatic_shortcode'),
			'options' => array(
				'one_half' => 'One Half',
				'one_half_last' => 'One Half Last',
				'one_third' => 'One Third',
				'one_third_last' => 'One Third Last',
				'one_fourth' => 'One Fourth',
				'one_fourth_last' => 'One Fourth Last',
				'two_third' => 'Two Third',
				'two_third_last' => 'Two Third Last'
			)
		),
		'content' => array(
			'std' => 'Column Content',
			'type' => 'textarea',
			'label' => __('Column\'s Content', 'templatic_shortcode'),
			'desc' => __('Add the column\'s content', 'templatic_shortcode'),
		)
	),
	'templ_shortcode' => '[templatic_columns layout="{{layout}}" title="{{title}}"] {{content}} [/templatic_columns]',
	'popup_title' => __('Insert Column Shortcode', 'templatic_shortcode')
);
/* END OF COLUMN */

/* OPTIONS FOR MSG BOX */
$shortcodesES['msg_box'] = array(
	'params' => array(
		'type' => array(
			'type' => 'select',
			'label' => __('Message Type', 'templatic_shortcode'),
			'desc' => __('Select the message type', 'templatic_shortcode'),
			'options' => array(
				'alert' => 'Alert',
				'error' => 'Error',
				'success' => 'Success',
				'info' => 'Information'
			)
		),
		'content' => array(
			'std' => 'Add Content',
			'type' => 'textarea',
			'label' => __('Add Content', 'templatic_shortcode'),
			'desc' => __('Add the content for message box', 'templatic_shortcode'),
		)
	),
	'templ_shortcode' => '[templatic_msg_box type="{{type}}"] {{content}} [/templatic_msg_box]',
	'popup_title' => __('Insert Message Box Shortcode', 'templatic_shortcode')
);
/* END OF MSG BOX */


/* OPTIONS FOR LABEL/BADGE */
$shortcodesES['label'] = array(
	'params' => array(
		'content' => array(
			'std' => 'Label/Badge Title',
			'type' => 'text',
			'label' => __('Label/Badge Title', 'templatic_shortcode'),
			'desc' => __('Add a title for label/badge', 'templatic_shortcode'),
		),
		'type' => array(
			'type' => 'select',
			'label' => __('Select Type', 'templatic_shortcode'),
			'desc' => __('Select the type whether you want to create shortcode for label or a badge', 'templatic_shortcode'),
			'options' => array(
				'label' => 'Label',
				'badge' => 'Badge'
			)
		),
		'class' => array(
			'type' => 'select',
			'label' => __('Label/Badge Class', 'templatic_shortcode'),
			'desc' => __('Select the class for label/badge', 'templatic_shortcode'),
			'options' => array(
				'default' => 'Default',
				'success' => 'Success',
				'warning' => 'Warning',
				'important' => 'Important',
				'info' => 'Information',
				'inverse' => 'Inverse'
			)
		),
	),
	'templ_shortcode' => '[templatic_label type="{{type}}" class="{{class}}"] {{content}} [/templatic_label]',
	'popup_title' => __('Insert Label/Badge Shortcode', 'templatic_shortcode')
);
/* END OF LABEL/BADGE */

/* OPTIONS FOR POPOVER */
$shortcodesES['popover'] = array(
	'params' => array(
		'content' => array(
			'std' => 'Insert Label',
			'type' => 'text',
			'label' => __('Insert Label', 'templatic_shortcode'),
			'desc' => __('Give a label for the button', 'templatic_shortcode'),
		),
		'placement' => array(
			'std' => 'Placement',
			'type' => 'select',
			'label' => __('Select placement', 'templatic_shortcode'),
			'desc' => __('select the place to display the popover', 'templatic_shortcode'),
			'options' => array(
				'top' => 'Top',
				'bottom' => 'Bottom',
				'left' => 'Left',
				'right' => 'Right')
		),
		'data_original_title' => array(
			'std' => 'Add Title',
			'type' => 'text',
			'label' => __('Add Title', 'templatic_shortcode'),
			'desc' => __('Add the title to display in the popover', 'templatic_shortcode'),
		),
		'data_content' => array(
			'std' => 'Add Content',
			'type' => 'textarea',
			'label' => __('Add Content', 'templatic_shortcode'),
			'desc' => __('Add the content to display in the popover', 'templatic_shortcode'),
		)
	),
	'templ_shortcode' => '[templatic_popover data_content="{{data_content}}" data_original_title="{{data_original_title}}" placement="{{placement}}"] {{content}} [/templatic_popover]',
	'popup_title' => __('Insert Popover Shortcode', 'templatic_shortcode')
);
/* END OF POPOVER */

/* OPTIONS FOR SCROLL */
$shortcodesES['modal'] = array(
	'params' => array(
		'button_link' => array(
			'std' => 'Link Label',
			'type' => 'text',
			'label' => __('Link Label', 'templatic_shortcode'),
			'desc' => __('Add the label for the link', 'templatic_shortcode'),
		),
		'content' => array(
			'std' => 'Modal Content',
			'type' => 'textarea',
			'label' => __('Modal Content', 'templatic_shortcode'),
			'desc' => __('Insert the content to display in the popup', 'templatic_shortcode'),
		)
	),
	'templ_shortcode' => '[templatic_modal button_link="{{button_link}}"] {{content}} [/templatic_modal]',
	'popup_title' => __('Insert Modal Shortcode', 'templatic_shortcode')
);
/* END OF MODAL */

/* OPTIONS FOR SCROLL */
$shortcodesES['scroll'] = array(
	'params' => array(
		'content' => array(
			'std' => 'Insert Content',
			'type' => 'textarea',
			'label' => __('Insert Content', 'templatic_shortcode'),
			'desc' => __('Add the content to display in the scroll', 'templatic_shortcode'),
		)
	),
	'templ_shortcode' => '[templatic_scroll] {{content}} [/templatic_scroll]',
	'popup_title' => __('Insert Scroll Shortcode', 'templatic_shortcode')
);
/* END OF SCROLL */

/* OPTIONS FOR TOOLTIP */
$shortcodesES['tooltip'] = array(
	'params' => array(),
    'templ_shortcode' => '[templatic_tooltip] {{child_shortcode}} [/templatic_tooltip]',
	'popup_title' => __('Insert Tooltip Shortcode', 'templatic_shortcode'),
    
    'child_shortcode' => array(
        'params' => array(
			'content' => array(
				'std' => 'Link Label',
				'type' => 'text',
				'label' => __('Link Label', 'templatic_shortcode'),
				'desc' => __('Add the label of the link on which you wish to display the tooltip', 'templatic_shortcode'),
			),
			'position' => array(
				'std' => 'Position',
				'type' => 'select',
				'label' => __('Mention Position', 'templatic_shortcode'),
				'desc' => __('Mention the position of the tooltip', 'templatic_shortcode'),
				'options' => array(
					'top' => 'Top',
					'left' => 'Left',
					'bottom' => 'Bottom',
					'right' => 'Right')
			),
			'text' => array(
				'std' => 'Tooltip Content',
				'type' => 'textarea',
				'label' => __('Tooltip Content', 'templatic_shortcode'),
				'desc' => __('Add Tooltip Content', 'templatic_shortcode'),
			)
		),
        'shortcode' => '[tooltip_li position="{{position}}" text="{{text}}"] {{content}} [/tooltip_li]',
        'clone_button' => __('Add Tab', 'templatic_shortcode')
    )
);
/* END OF TOOLTIP */

/* OPTIONS FOR CONTENT BOX */
$shortcodesES['content_box'] = array(
	'params' => array(
		'title' => array(
			'std' => 'Box title',
			'type' => 'text',
			'label' => __('Box title', 'templatic_shortcode'),
			'desc' => __('Mention the title for the content box', 'templatic_shortcode'),
		),
		'type' => array(
			'type' => 'select',
			'label' => __('Content Box Type', 'templatic_shortcode'),
			'desc' => __('Select the type for the box', 'templatic_shortcode'),
			'options' => array(
				'normal' => 'Normal',
				'author' => 'Author',
				'warning' => 'Warning',
				'download' => 'Download',
				'info' => 'Information',
				'about' => 'About',
				'alert' => 'Alert'
			)
		),
		'content' => array(
			'std' => 'Add Content',
			'type' => 'textarea',
			'label' => __('Add Content', 'templatic_shortcode'),
			'desc' => __('Add the content for the content box', 'templatic_shortcode'),
		)
	),
	'templ_shortcode' => '[templatic_contentbox type="{{type}}" title="{{title}}"] {{content}} [/templatic_contentbox]',
	'popup_title' => __('Insert Content Box Shortcode', 'templatic_shortcode')
);
/* END OF CONTENT BOX */

/* OPTIONS FOR SMALL CONTENT BOX */
$shortcodesES['small_content_box'] = array(
	'params' => array(
		'title' => array(
			'std' => 'Box title',
			'type' => 'text',
			'label' => __('Box title', 'templatic_shortcode'),
			'desc' => __('Mention the title for the content box', 'templatic_shortcode'),
		),
		'type' => array(
			'type' => 'select',
			'label' => __('Content Box Type', 'templatic_shortcode'),
			'desc' => __('Select the type for the box', 'templatic_shortcode'),
			'options' => array(
				'about' => 'About',
				'info' => 'Information',
				'alert' => 'Alert'
			)
		),
		'content' => array(
			'std' => 'Add Content',
			'type' => 'textarea',
			'label' => __('Add Content', 'templatic_shortcode'),
			'desc' => __('Add the content for content box', 'templatic_shortcode'),
		)
	),
	'templ_shortcode' => '[templatic_smallcontentbox type="{{type}}" title="{{title}}"] {{content}} [/templatic_smallcontentbox]',
	'popup_title' => __('Insert Small Content Box Shortcode', 'templatic_shortcode')
);
/* END OF SMALL CONTENT BOX */

/* OPTIONS FOR DROPCAP */
$shortcodesES['dropcap'] = array(
	'params' => array(
		'color' => array(
			'type' => 'select',
			'label' => __('Select Color', 'templatic_shortcode'),
			'desc' => __('Select the color for the letter', 'templatic_shortcode'),
			'options' => array(
				'color1' => 'Color 1',
				'color2' => 'Color 2',
				'color3' => 'Color 3'
			)
		),
		'letter' => array(
			'std' => 'Letter',
			'type' => 'text',
			'label' => __('Letter', 'templatic_shortcode'),
			'desc' => __('Mention the letter to use as dropcap', 'templatic_shortcode'),
		),
		'content' => array(
			'std' => 'Add Content',
			'type' => 'textarea',
			'label' => __('Add Content', 'templatic_shortcode'),
			'desc' => __('Add the content', 'templatic_shortcode'),
		)
	),
	'templ_shortcode' => '[templatic_dropcaps color="{{color}}" letter="{{letter}}"] {{content}} [/templatic_dropcaps]',
	'popup_title' => __('Insert Dropcap Shortcode', 'templatic_shortcode')
);
/* END OF DROPCAP */

/* OPTIONS FOR PROGRESS BAR */
$shortcodesES['progressbar'] = array(
	'params' => array(
		'type' => array(
			'type' => 'select',
			'label' => __('Select Type', 'templatic_shortcode'),
			'desc' => __('Select the type for the progress bar', 'templatic_shortcode'),
			'options' => array(
				'normal' => 'Normal',
				'strip' => 'Strip',
				'strip_active' => 'Strip Active',
				'progress' => 'Progress'
			)
		),
		'percent' => array(
			'std' => '0',
			'type' => 'text',
			'label' => __('Percent', 'templatic_shortcode'),
			'desc' => __('Mention the percent of the complated process. Insert only numeric value. You need to insert comma separated values in order to use the progress type progress bar.', 'templatic_shortcode'),
		),
	),
	'templ_shortcode' => '[templatic_progressbar type="{{type}}" percent="{{percent}}"][/templatic_progressbar]',
	'popup_title' => __('Insert Progress Bar Shortcode', 'templatic_shortcode')
);
/*  END OF PROGRESS BAR */
/* OPTION FOR TAB */
$shortcodesES['accordion'] = array(
    'params' => array(),
    'templ_shortcode' => '[templatic_accordion] {{child_shortcode}}  [/templatic_accordion]',
    'popup_title' => __('Insert Accordion Shortcode', 'templatic_shortcode'),
    
    'child_shortcode' => array(
        'params' => array(
            'title' => array(
                'std' => 'Title',
                'type' => 'text',
                'label' => __('Tab Title', 'templatic_shortcode'),
                'desc' => __('Add title of the tab', 'templatic_shortcode'),
            ),
            'content' => array(
                'std' => 'Add Content',
                'type' => 'textarea',
                'label' => __('Add Content', 'templatic_shortcode'),
                'desc' => __('Add content the content', 'templatic_shortcode')
            )
        ),
        'shortcode' => '[accordion title="{{title}}"] {{content}} [/accordion]',
        'clone_button' => __('Add Tab', 'templatic_shortcode')
    )
);
/* END OF TAB */


/* OPTION FOR TAB */
$shortcodesES['tabs'] = array(
    'params' => array(),
    'templ_shortcode' => '[templatic_tabs] {{child_shortcode}}  [/templatic_tabs]',
    'popup_title' => __('Insert Tab Shortcode', 'templatic_shortcode'),
    
    'child_shortcode' => array(
        'params' => array(
            'title' => array(
                'std' => 'Title',
                'type' => 'text',
                'label' => __('Tab Title', 'templatic_shortcode'),
                'desc' => __('Add title of the tab', 'templatic_shortcode'),
            ),
            'content' => array(
                'std' => 'Tab Content',
                'type' => 'textarea',
                'label' => __('Tab Content', 'templatic_shortcode'),
                'desc' => __('Add content for the tab', 'templatic_shortcode')
            )
        ),
        'shortcode' => '[templatic_tab title="{{title}}"] {{content}} [/templatic_tab]',
        'clone_button' => __('Add Tab', 'templatic_shortcode')
    )
);
/* END OF TAB */

/* OPTION FOR ICONS */
$shortcodesES['icons'] = array(
	'params' => array(
		'type' => array(
			'type' => 'select',
			'label' => __('Select Type', 'templatic_shortcode'),
			'desc' => __('Select the type for the icons', 'templatic_shortcode'),
			'options' => array(
				'basic' => 'Basic',
				'cancel' => 'Cancel',
				'dot' => 'Dot')
		)),
    'templ_shortcode' => '[templatic_icons type="{{type}}"] {{child_shortcode}}  [/templatic_icons]',
    'popup_title' => __('Insert Icons Shortcode', 'templatic_shortcode'),
    
    'child_shortcode' => array(
		'params' => array(
			'content' => array(
			'std' => 'Add List Label',
			'type' => 'textarea',
			'label' => __('Add List Label', 'templatic_shortcode'),
			'desc' => __('Add the list label. You can add multiple lists by using HTML tags in this area', 'templatic_shortcode'),
		)),
        'shortcode' => '[LI] {{content}} [/LI]',
        'clone_button' => __('Add List', 'templatic_shortcode')
    )
);
/* END OF ICONS */

$shortcodesES['mentieslist'] = array(
    'templ_shortcode' => '[ame_list] {{child_shortcode}}  [/ame_list]',
    'popup_title' => __('Insert menties list Shortcode', 'templatic_shortcode'),
    
    'child_shortcode' => array(
		'params' => array(
			'content' => array(
			'std' => '',
			'type' => 'textarea',
			'label' => __('Add The List', 'templatic_shortcode'),
			'desc' => __('Add the list using [yes][/yes] and [no][/no] shortcodes.', 'templatic_shortcode'),
		)),
        'shortcode' => '{{content}}',
        'clone_button' => __('Add List', 'templatic_shortcode')
    )
);
?>